Subject: Re: [bitcoin-dev] Reminder on the Purpose of BIPs

From: Erik Aronesty <[email-masked]>
Date: Tue, 27 Apr 2021 07:49:10 -0400

seems like this is solved by a workflow where a maintainer who
requests changes clearly tags every entry as "changes needed" or
"review requested",, and then the author can resolve/remove the tag
after the changes are made.

not sure PR's are the right tech here.

On Tue, Apr 27, 2021 at 6:28 AM W. J. van der Laan via bitcoin-dev
<[email-masked]> wrote:
>
> On Monday, April 26th, 2021 at 9:43 PM, David A. Harding via bitcoin-dev <[email-masked]> wrote:
>
> > On Sun, Apr 25, 2021 at 05:31:50PM -0400, Matt Corallo via bitcoin-dev wrote:
> >
> > > In general, I think its time we all agree the BIP process has simply failed
> > >
> > > and move on. Luckily its not really all that critical and proposed protocol
> > >
> > > documents can be placed nearly anywhere with the same effect.
> >
>
> I like the idea of decentralizing the BIPs process. It is a historical artifact that the bips repository is part of the same organization that bitcoin core is part of. But there shouldn't be the perception that standardization is driven by that, or that there is any kind of (non-trivial) gatekeeping.
>
> I understand where this perception is coming from, though. There being 111 PRs open at https://github.com/bitcoin/bips/pulls indicates that there is some kind of bottleneck. I hope adding more BIP editors can mitigate this somewhat.
>
> Though it also happens that the BIP author simply don't care about changes anymore and doesn't respond, in which case the PR lingers without any fault from the BIPs maintainer. So something is to be said of having the BIP repository mirror/aggregate author's own work trees, and changes needing to be proposed there instead of "upstream".
>
> -W
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev